Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.mule.construct
Enum SimpleService.Type

    java.lang.Object
      java.lang.Enum<SimpleService.Type>
          org.mule.construct.SimpleService.Type

All Implemented Interfaces:
  Serializable, Comparable<SimpleService.Type>

Enclosing class:
  SimpleService

    public static enum SimpleService.Type

extends Enum<SimpleService.Type>

Enum Constant Summary
`DIRECT` Pass the inbound messages unaltered to the component.
`JAX_RS` Expose a JAX-RS annoted component as a web service.
`JAX_WS` Expose a JAX-WS annoted component as a web service.

Method Summary
`abstract void` | `configureComponentMessageProcessor(MuleContext muleContext, InterceptingChainMessageProcessorBuilder builder, Component component)`
`static SimpleService.Type` | `fromString(String string)`
`abstract void` | `validate(Component component)`
`static SimpleService.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SimpleService.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### JAX_WS

    public static final SimpleService.Type JAX_WS

  Expose a JAX-WS annoted component as a web service. The CXF module is required to have this working.

### JAX_RS

    public static final SimpleService.Type JAX_RS

  Expose a JAX-RS annoted component as a web service. The Jersey module is required to have this working.

### DIRECT

    public static final SimpleService.Type DIRECT

  Pass the inbound messages unaltered to the component.

Method Detail

### values

    public static SimpleService.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SimpleService.Type c : SimpleService.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SimpleService.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### validate

    public abstract void validate(Component component)
                           throws FlowConstructInvalidException

  Throws:
    `FlowConstructInvalidException`

### configureComponentMessageProcessor

    public abstract void configureComponentMessageProcessor(MuleContext muleContext,
                                                            InterceptingChainMessageProcessorBuilder builder,
                                                            Component component)

### fromString

    public static SimpleService.Type fromString(String string)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.